type TransitionProps = {
  offscreen: { x?: number; y?: number };
  onscreen: { x?: number; y?: number; transition: { type: string; duration: number } };
};

export default function Transition(off = { offscreen: { x: 100, y:0 } }, on = { onscreen: { x: 0, y:0, transition: { type: "linear", duration: 1.0 } } }): TransitionProps {
  const transition = {
    ...off,
    ...on,
  };
  return transition;
}